using System.ComponentModel.DataAnnotations;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface IAuthService
    {
        Task<dynamic> GetCaptcha();
        Task<bool> GetCaptchaOpen();
        Task<LoginUserOutput> GetLoginUserAsync();
        Task<LoginOutput> LoginAsync([Required] LoginInput input);
        Task LogoutAsync();
        Task<dynamic> VerificationCode(ClickWordCaptchaInput input);
    }
}